<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myVehicleCustomerRequestLabel" jhiTranslate="mpmApp.vehicleCustomerRequest.home.createOrEditLabel">Create or edit a Vehicle Customer Request</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" *ngIf="idRequestType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.requestType" for="field_requestType">Request Type</label>
                    <select class="form-control" id="field_requestType" name="requestType" [(ngModel)]="vehicleCustomerRequest.requestTypeId" (change)="selectRequestType(vehicleCustomerRequest.requestTypeId);" required>
                        <option [ngValue]="null">Please Select</option>
                        <option [ngValue]="requestTypeOption.idRequestType" *ngFor="let requestTypeOption of requesttypes; trackBy: trackRequestTypeById">{{requestTypeOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="showOrganization">
                    <label jhiTranslate="mpmApp.vehicleCustomerRequest.customer" for="field_customer">Customer</label>
                    <select class="form-control" id="field_customer" name="customer" [(ngModel)]="vehicleCustomerRequest.customerId" required="showOrganization">
                        <option [ngValue]="null"></option> 
                        <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of organizationCustomers; trackBy: trackCustomerById">{{customerOption.idCustomer}} - {{customerOption.partyName}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="showSalesBroker">
                    <label jhiTranslate="mpmApp.vehicleCustomerRequest.broker" for="field_broker">Broker</label>
                    <select class="form-control" id="field_broker" name="broker" [(ngModel)]="vehicleCustomerRequest.salesBrokerId"  required="showSalesBroker">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="brokerOption.idPartyRole" *ngFor="let brokerOption of brokers; trackBy: trackBrokerById">{{brokerOption.idBroker}} - {{brokerOption.person.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="showSalesman">
                    <label jhiTranslate="mpmApp.vehicleCustomerRequest.korsal" for="field_Korsal">Korsal</label>
                    <select class="form-control" name="korsal" id="field_Korsal" [(ngModel)]="vehicleCustomerRequest.selectedKorsal" (change)="selectSalesByKorsal()" required="showSalesman">
                            <option [value]="null">Select Korsal</option>
                            <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="showSalesman">
                    <label jhiTranslate="mpmApp.vehicleCustomerRequest.salesman" for="field_Salesman">Salesman</label>
                    <select class="form-control" name="salesman" id="field_Salesman" [(ngModel)]="vehicleCustomerRequest.idSalesman" required="showSalesman">
                            <option [value]="null">Select Salesman</option>
                            <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="vehicleCustomerRequest.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleCustomerRequest.customerOrder" for="field_customerOrder">Customer Order</label>
                    <input type="text" class="form-control" name="customerOrder" id="field_customerOrder"
                        [(ngModel)]="vehicleCustomerRequest.customerOrder" />
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
